% Heavy duty vehicle baseline energy use

clc

filename = 'FC_HDV.xlsx';
vkm_0alt= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I7:I13');
vkm_0alt_NT= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','Y7:Y13');
vkm_tunnel_toll= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I20:I29');
vkm_tunnel_notoll= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I36:I45');

% Amount of Heavy vehicles by age (m) and euro class (j). HDV = Heavy duty
% vehicle

HDV= xlsread(filename,'euroclasses','B16:G23');

% Coefficient matrix
C_HDV= HDV./1996; 
% 1996 is the total amount of heavy vehicles in Trondheim from EURO 5 and
% down

C_HDV(isnan(C_HDV)) = 0;

%% 0 alternative vkm matrix


for ii = length(C_HDV(1,:))
    r01=C_HDV*vkm_0alt(1);
    r02=C_HDV*vkm_0alt(2);
    r03=C_HDV*vkm_0alt(3);
    r04=C_HDV*vkm_0alt(4);
    r05=C_HDV*vkm_0alt(5);
    r06=C_HDV*vkm_0alt(6);
    r07=C_HDV*vkm_0alt(7);
    
end

%% 0 alternative (without toll) vkm matrix


for ii = length(C_HDV(1,:))
    r01_nt=C_HDV*vkm_0alt_NT(1);
    r02_nt=C_HDV*vkm_0alt_NT(2);
    r03_nt=C_HDV*vkm_0alt_NT(3);
    r04_nt=C_HDV*vkm_0alt_NT(4);
    r05_nt=C_HDV*vkm_0alt_NT(5);
    r06_nt=C_HDV*vkm_0alt_NT(6);
    r07_nt=C_HDV*vkm_0alt_NT(7);
    
end



%% Bysen tunnel alternatives (w/ toll) vkm matrix

for ii = length(C_HDV(1,:))
    r11=C_HDV*vkm_tunnel_toll(1);
    r12=C_HDV*vkm_tunnel_toll(2);
    r13=C_HDV*vkm_tunnel_toll(3);
    r14=C_HDV*vkm_tunnel_toll(4);
    r15=C_HDV*vkm_tunnel_toll(5);
    r16=C_HDV*vkm_tunnel_toll(6);
    r17=C_HDV*vkm_tunnel_toll(7);
    r18=C_HDV*vkm_tunnel_toll(8);
    r19=C_HDV*vkm_tunnel_toll(9);
    r110=C_HDV*vkm_tunnel_toll(10);
end

%% Bysen tunnel alternatives (no toll) vkm matrix

for ii = length(C_HDV(1,:))
    r21=C_HDV*vkm_tunnel_notoll(1);
    r22=C_HDV*vkm_tunnel_notoll(2);
    r23=C_HDV*vkm_tunnel_notoll(3);
    r24=C_HDV*vkm_tunnel_notoll(4);
    r25=C_HDV*vkm_tunnel_notoll(5);
    r26=C_HDV*vkm_tunnel_notoll(6);
    r27=C_HDV*vkm_tunnel_notoll(7);
    r28=C_HDV*vkm_tunnel_notoll(8);
    r29=C_HDV*vkm_tunnel_notoll(9);
    r210=C_HDV*vkm_tunnel_notoll(10);
    
end

%% Energy use matrix 0 alt

v50_g0 = xlsread(filename,'fuelusematrices','B2:G9');
v50_g1 = xlsread(filename,'fuelusematrices','B12:G19');
v50_g2 = xlsread(filename,'fuelusematrices','B22:G29');
v50_5 = xlsread(filename,'fuelusematrices','B32:G39');

v585_g0 = xlsread(filename,'fuelusematrices','J2:O9');
v585_g1 = xlsread(filename,'fuelusematrices','J12:O19');
v585_g2 = xlsread(filename,'fuelusematrices','J22:O29');
v585_g5 = xlsread(filename,'fuelusematrices','J32:O39');

v55_g0 = xlsread(filename,'fuelusematrices','Z2:AE9');
v55_g1 = xlsread(filename,'fuelusematrices','Z12:AE19');
v55_g2 = xlsread(filename,'fuelusematrices','Z22:AE29');
v55_g5 = xlsread(filename,'fuelusematrices','Z32:AE39');

v40_g0 = xlsread(filename,'fuelusematrices','AH2:AM9');
v40_g1 = xlsread(filename,'fuelusematrices','AH12:AM19');
v40_g2 = xlsread(filename,'fuelusematrices','AH22:AM29');
v40_g5 = xlsread(filename,'fuelusematrices','AH32:AM39');

v45_g0 = xlsread(filename,'fuelusematrices','AP2:AU9');
v45_g1 = xlsread(filename,'fuelusematrices','AH12:AM19');
v45_g2 = xlsread(filename,'fuelusematrices','AH22:AM29');
v45_g5 = xlsread(filename,'fuelusematrices','AP32:AU39');


% Bysentunellen
v60_g5 = xlsread(filename,'fuelusematrices','B43:G50');


%% Energy use 0-alt with toll

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%


% Calculation of TJ/year . Biofuel is included in
% the calculation routine
E_0r1= (r01.*v585_g0)*(1-0.035)*4.79E-05+(0.035*r01.*v585_g0*2.34E-05);
E_0r2=(r02.*v45_g1)*(1-0.035)*4.79E-05+(0.035*r02.*v45_g1*2.34E-05);
E_0r3=(r03.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r03.*v45_g2*2.34E-05);
E_0r4=(r04.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r04.*v45_g2*2.34E-05);
E_0r5=(r05.*v50_g2)*(1-0.035)*4.79E-05+(0.035*r05.*v50_g2*2.34E-05);
E_0r6=(r06.*v50_g0)*(1-0.035)*4.79E-05+(0.035*r06.*v50_g0*2.34E-05);
E_0r7=(r07.*v40_g0)*(1-0.035)*4.79E-05+(0.035*r07.*v40_g0*2.34E-05);

Er01=sum(sum(E_0r1));
Er02=sum(sum(E_0r2));
Er03=sum(sum(E_0r3));
Er04=sum(sum(E_0r4));
Er05=sum(sum(E_0r5));
Er06=sum(sum(E_0r6));
Er07=sum(sum(E_0r7));

EHV_0=[Er01;Er02;Er03;Er04;Er05;Er06;Er07];
% xlswrite('traffic_emissions_model_baseline.xlsx',EHV_0,'CO2_tunnel_alts2','N7:N13');

%% Energy use 0-alt without toll

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%


% Calculation of TJ/year . Biofuel is included in
% the calculation routine
E_0r1_nt= (r01_nt.*v585_g0)*(1-0.035)*4.79E-05+(0.035*r01_nt.*v585_g0*2.34E-05);
E_0r2_nt=(r02_nt.*v45_g1)*(1-0.035)*4.79E-05+(0.035*r02_nt.*v45_g1*2.34E-05);
E_0r3_nt=(r03_nt.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r03_nt.*v45_g2*2.34E-05);
E_0r4_nt=(r04_nt.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r04_nt.*v45_g2*2.34E-05);
E_0r5_nt=(r05_nt.*v50_g2)*(1-0.035)*4.79E-05+(0.035*r05_nt.*v50_g2*2.34E-05);
E_0r6_nt=(r06_nt.*v50_g0)*(1-0.035)*4.79E-05+(0.035*r06_nt.*v50_g0*2.34E-05);
E_0r7_nt=(r07_nt.*v40_g0)*(1-0.035)*4.79E-05+(0.035*r07_nt.*v40_g0*2.34E-05);

Er01_nt=sum(sum(E_0r1_nt));
Er02_nt=sum(sum(E_0r2_nt));
Er03_nt=sum(sum(E_0r3_nt));
Er04_nt=sum(sum(E_0r4_nt));
Er05_nt=sum(sum(E_0r5_nt));
Er06_nt=sum(sum(E_0r6_nt));
Er07_nt=sum(sum(E_0r7_nt));

EHV_0_nt=[Er01_nt;Er02_nt;Er03_nt;Er04_nt;Er05_nt;Er06_nt;Er07_nt];
% xlswrite('traffic_emissions_model_baseline.xlsx',EHV_0_nt,'CO2_tunnel_alts2','AD7:AD13');

%% Energy Bysen tunnel with tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year . Biofuel is included in
% the calculation routine
E_1r1= (r11.*v585_g0)*(1-0.035)*4.79E-05+(0.035*r11.*v585_g0*2.34E-05);
E_1r2=(r12.*v45_g1)*(1-0.035)*4.79E-05+(0.035*r12.*v45_g1*2.34E-05);
E_1r3=(r13.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r13.*v45_g2*2.34E-05);
E_1r4=(r14.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r14.*v45_g2*2.34E-05);
E_1r5=(r15.*v50_g2)*(1-0.035)*4.79E-05+(0.035*r15.*v50_g2*2.34E-05);
E_1r6=(r16.*v50_g0)*(1-0.035)*4.79E-05+(0.035*r16.*v50_g0*2.34E-05);
E_1r7=(r17.*v40_g0)*(1-0.035)*4.79E-05+(0.035*r17.*v50_g0*2.34E-05);
E_1r8=(r18.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r18.*v60_g5*2.34E-05);
E_1r9=(r19.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r19.*v60_g5*2.34E-05);
E_1r10=(r110.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r110.*v60_g5*2.34E-05);

Er11=sum(sum(E_1r1));
Er12=sum(sum(E_1r2));
Er13=sum(sum(E_1r3));
Er14=sum(sum(E_1r4));
Er15=sum(sum(E_1r5));
Er16=sum(sum(E_1r6));
Er17=sum(sum(E_1r7));
Er18=sum(sum(E_1r8));
Er19=sum(sum(E_1r9));
Er110=sum(sum(E_1r10));

EHV_1=[Er11;Er12;Er13;Er14;Er15;Er16;Er17;Er18;Er19;Er110];
% xlswrite('traffic_emissions_model_baseline.xlsx',EHV_1,'CO2_tunnel_alts2','N20:N29');

%% Energy Bysen tunnel without tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year . Biofuel is included in
% the calculation routine
E_2r1= (r21.*v585_g0)*(1-0.035)*4.79E-05+(0.035*r21.*v585_g0*2.34E-05);
E_2r2=(r22.*v45_g1)*(1-0.035)*4.79E-05+(0.035*r22.*v45_g1*2.34E-05);
E_2r3=(r23.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r23.*v45_g2*2.34E-05);
E_2r4=(r24.*v45_g2)*(1-0.035)*4.79E-05+(0.035*r24.*v45_g2*2.34E-05);
E_2r5=(r25.*v50_g2)*(1-0.035)*4.79E-05+(0.035*r25.*v50_g2*2.34E-05);
E_2r6=(r26.*v50_g0)*(1-0.035)*4.79E-05+(0.035*r26.*v50_g0*2.34E-05);
E_2r7=(r27.*v40_g0)*(1-0.035)*4.79E-05+(0.035*r27.*v40_g0*2.34E-05);
E_2r8=(r28.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r28.*v60_g5*2.34E-05);
E_2r9=(r29.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r29.*v60_g5*2.34E-05);
E_2r10=(r210.*v60_g5)*(1-0.035)*4.79E-05+(0.035*r210.*v60_g5*2.34E-05);

Er21=sum(sum(E_2r1));
Er22=sum(sum(E_2r2));
Er23=sum(sum(E_2r3));
Er24=sum(sum(E_2r4));
Er25=sum(sum(E_2r5));
Er26=sum(sum(E_2r6));
Er27=sum(sum(E_2r7));
Er28=sum(sum(E_2r8));
Er29=sum(sum(E_2r9));
Er210=sum(sum(E_2r10));

EHV_2=[Er21;Er22;Er23;Er24;Er25;Er26;Er27;Er28;Er29;Er210];
% xlswrite('traffic_emissions_model_baseline.xlsx',EHV_2,'CO2_tunnel_alts2','N36:N45');

%% 

% xlswrite('traffic_emissions_model_scenario.xlsx',EHV_0,'CO2_tunnel_alts2','N7:N13');
% xlswrite('traffic_emissions_model_scenario.xlsx',EHV_1,'CO2_tunnel_alts2','N20:N29');
% xlswrite('traffic_emissions_model_scenario.xlsx',EHV_2,'CO2_tunnel_alts2','N36:N45');
% xlswrite('traffic_emissions_model_scenario.xlsx',EHV_0_nt,'CO2_tunnel_alts2','AD7:AD13');
