% HDV scenario vkm_shift emissions model

clc

filename = 'FC_HDV.xlsx';
vkm_0alt= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I7:I13');
vkm_tunnel_toll= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I20:I29');
vkm_tunnel_notoll= xlsread('traffic_emissions_model_baseline','CO2_tunnel_alts2','I36:I45');

% Amount of Heavy vehicles by age (m) and euro class (j). HDV = Heavy duty
% vehicle

HDV_scenario= xlsread(filename,'euroclasses','B27:G34');

% Coefficient matrix
C_HDV_scenario= HDV_scenario./1996;

% 1996 is the total amount of heavy vehicles in Trondheim from EURO 5 and
% down

C_HDV_scenario(isnan(C_HDV_scenario)) = 0;

%% 0 alternative vkm matrix


for ii = length(C_HDV_scenario(1,:))
    r01=C_HDV_scenario*vkm_0alt(1);
    r02=C_HDV_scenario*vkm_0alt(2);
    r03=C_HDV_scenario*vkm_0alt(3);
    r04=C_HDV_scenario*vkm_0alt(4);
    r05=C_HDV_scenario*vkm_0alt(5);
    r06=C_HDV_scenario*vkm_0alt(6);
    r07=C_HDV_scenario*vkm_0alt(7);
    
end

%% Bysen tunnel alternatives (w/ toll) vkm matrix

for ii = length(C_HDV_scenario(1,:))
    r11=C_HDV_scenario*vkm_tunnel_toll(1);
    r12=C_HDV_scenario*vkm_tunnel_toll(2);
    r13=C_HDV_scenario*vkm_tunnel_toll(3);
    r14=C_HDV_scenario*vkm_tunnel_toll(4);
    r15=C_HDV_scenario*vkm_tunnel_toll(5);
    r16=C_HDV_scenario*vkm_tunnel_toll(6);
    r17=C_HDV_scenario*vkm_tunnel_toll(7);
    r18=C_HDV_scenario*vkm_tunnel_toll(8);
    r19=C_HDV_scenario*vkm_tunnel_toll(9);
    r110=C_HDV_scenario*vkm_tunnel_toll(10);
end

%% Bysen tunnel alternatives (no toll) vkm matrix

for ii = length(C_HDV_scenario(1,:))
    r21=C_HDV_scenario*vkm_tunnel_notoll(1);
    r22=C_HDV_scenario*vkm_tunnel_notoll(2);
    r23=C_HDV_scenario*vkm_tunnel_notoll(3);
    r24=C_HDV_scenario*vkm_tunnel_notoll(4);
    r25=C_HDV_scenario*vkm_tunnel_notoll(5);
    r26=C_HDV_scenario*vkm_tunnel_notoll(6);
    r27=C_HDV_scenario*vkm_tunnel_notoll(7);
    r28=C_HDV_scenario*vkm_tunnel_notoll(8);
    r29=C_HDV_scenario*vkm_tunnel_notoll(9);
    r210=C_HDV_scenario*vkm_tunnel_notoll(10);
    
end

%% CO2 matrix 0 alt

v50_g0 = xlsread(filename,'fuelusematrices_scenario','B2:G9');
v50_g1 = xlsread(filename,'fuelusematrices_scenario','B12:G19');
v50_g2 = xlsread(filename,'fuelusematrices_scenario','B22:G29');
v50_5 = xlsread(filename,'fuelusematrices_scenario','B32:G39');

v585_g0 = xlsread(filename,'fuelusematrices_scenario','J2:O9');
v585_g1 = xlsread(filename,'fuelusematrices_scenario','J12:O19');
v585_g2 = xlsread(filename,'fuelusematrices_scenario','J22:O29');
v585_g5 = xlsread(filename,'fuelusematrices_scenario','J32:O39');

v55_g0 = xlsread(filename,'fuelusematrices_scenario','Z2:AE9');
v55_g1 = xlsread(filename,'fuelusematrices_scenario','Z12:AE19');
v55_g2 = xlsread(filename,'fuelusematrices_scenario','Z22:AE29');
v55_g5 = xlsread(filename,'fuelusematrices_scenario','Z32:AE39');

v40_g0 = xlsread(filename,'fuelusematrices_scenario','AH2:AM9');
v40_g2 = xlsread(filename,'fuelusematrices_scenario','AH22:AM29');

v45_g0 = xlsread(filename,'fuelusematrices_scenario','AP2:AU9');
v45_g1 = xlsread(filename,'fuelusematrices_scenario','AH12:AM19');
v45_g2 = xlsread(filename,'fuelusematrices_scenario','AH22:AM29');

% Bysentunellen
v60_g5 = xlsread(filename,'fuelusematrices_scenario','B43:G50');
v50_g5 = xlsread(filename,'fuelusematrices_scenario','I43:N50');
v45_g5 = xlsread(filename,'fuelusematrices_scenario','P43:U50');
v40_g5 = xlsread(filename,'fuelusematrices_scenario','W43:AB50');

%% CO2 0-alt 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%


% Calculation of CO2-eq/year . Biofuel is included in
% the calculation routine
CO2_0r1= (r01.*v585_g0)*(1-0.035)*3.19+(0.035*r01.*v585_g0*0.69);
CO2_0r2=(r02.*v45_g1)*(1-0.035)*3.19+(0.035*r02.*v45_g1*0.69);
CO2_0r3=(r03.*v45_g2)*(1-0.035)*3.19+(0.035*r03.*v45_g2*0.69);
CO2_0r4=(r04.*v45_g2)*(1-0.035)*3.19+(0.035*r04.*v45_g2*0.69);
CO2_0r5=(r05.*v50_g2)*(1-0.035)*3.19+(0.035*r05.*v50_g2*0.69);
CO2_0r6=(r06.*v50_g0)*(1-0.035)*3.19+(0.035*r06.*v50_g0*0.69);
CO2_0r7=(r07.*v40_g0)*(1-0.035)*3.19+(0.035*r07.*v40_g0*0.69);

CO2r01=sum(sum(CO2_0r1));
CO2r02=sum(sum(CO2_0r2));
CO2r03=sum(sum(CO2_0r3));
CO2r04=sum(sum(CO2_0r4));
CO2r05=sum(sum(CO2_0r5));
CO2r06=sum(sum(CO2_0r6));
CO2r07=sum(sum(CO2_0r7));

CO2HV_0=[CO2r01;CO2r02;CO2r03;CO2r04;CO2r05;CO2r06;CO2r07];
%  xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_0,'vkm_shift','J7:J13');
%  xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_0,'vkm_shift2','J7:J13');

%% CO2 Bysen tunnel with tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of CO2-eq/year . Biofuel is included in
% the calculation routine
CO2_1r1= (r11.*v585_g0)*(1-0.035)*3.19+(0.035*r11.*v585_g0*0.69);
CO2_1r2=(r12.*v45_g1)*(1-0.035)*3.19+(0.035*r12.*v45_g1*0.69);
CO2_1r3=(r13.*v45_g2)*(1-0.035)*3.19+(0.035*r13.*v45_g2*0.69);
CO2_1r4=(r14.*v45_g2)*(1-0.035)*3.19+(0.035*r14.*v45_g2*0.69);
CO2_1r5=(r15.*v50_g2)*(1-0.035)*3.19+(0.035*r15.*v50_g2*0.69);
CO2_1r6=(r16.*v50_g0)*(1-0.035)*3.19+(0.035*r16.*v50_g0*0.69);
CO2_1r7=(r17.*v40_g0)*(1-0.035)*3.19+(0.035*r17.*v50_g0*0.69);
CO2_1r8=(r18.*v60_g5)*(1-0.035)*3.19+(0.035*r18.*v60_g5*0.69);
CO2_1r9=(r19.*v60_g5)*(1-0.035)*3.19+(0.035*r19.*v60_g5*0.69);
CO2_1r10=(r110.*v60_g5)*(1-0.035)*3.19+(0.035*r110.*v60_g5*0.69);

CO2r11=sum(sum(CO2_1r1));
CO2r12=sum(sum(CO2_1r2));
CO2r13=sum(sum(CO2_1r3));
CO2r14=sum(sum(CO2_1r4));
CO2r15=sum(sum(CO2_1r5));
CO2r16=sum(sum(CO2_1r6));
CO2r17=sum(sum(CO2_1r7));
CO2r18=sum(sum(CO2_1r8));
CO2r19=sum(sum(CO2_1r9));
CO2r110=sum(sum(CO2_1r10));

CO2HV_1=[CO2r11;CO2r12;CO2r13;CO2r14;CO2r15;CO2r16;CO2r17;CO2r18;CO2r19;CO2r110];
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_1,'vkm_shift','J20:J29');
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_1,'vkm_shift2','J20:J29');

%% CO2 Bysen tunnel without tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of CO2-eq/year . Biofuel is included in
% the calculation routine
CO2_2r1= (r21.*v585_g0)*(1-0.035)*3.19+(0.035*r21.*v585_g0*0.69);
CO2_2r2=(r22.*v45_g1)*(1-0.035)*3.19+(0.035*r22.*v45_g1*0.69);
CO2_2r3=(r23.*v45_g2)*(1-0.035)*3.19+(0.035*r23.*v45_g2*0.69);
CO2_2r4=(r24.*v45_g2)*(1-0.035)*3.19+(0.035*r24.*v45_g2*0.69);
CO2_2r5=(r25.*v50_g2)*(1-0.035)*3.19+(0.035*r25.*v50_g2*0.69);
CO2_2r6=(r26.*v50_g0)*(1-0.035)*3.19+(0.035*r26.*v50_g0*0.69);
CO2_2r7=(r27.*v40_g0)*(1-0.035)*3.19+(0.035*r27.*v40_g0*0.69);
CO2_2r8=(r28.*v60_g5)*(1-0.035)*3.19+(0.035*r28.*v60_g5*0.69);
CO2_2r9=(r29.*v60_g5)*(1-0.035)*3.19+(0.035*r29.*v60_g5*0.69);
CO2_2r10=(r210.*v60_g5)*(1-0.035)*3.19+(0.035*r210.*v60_g5*0.69);


CO2r21=sum(sum(CO2_2r1));
CO2r22=sum(sum(CO2_2r2));
CO2r23=sum(sum(CO2_2r3));
CO2r24=sum(sum(CO2_2r4));
CO2r25=sum(sum(CO2_2r5));
CO2r26=sum(sum(CO2_2r6));
CO2r27=sum(sum(CO2_2r7));
CO2r28=sum(sum(CO2_2r8));
CO2r29=sum(sum(CO2_2r9));
CO2r210=sum(sum(CO2_2r10));

CO2HV_2=[CO2r21;CO2r22;CO2r23;CO2r24;CO2r25;CO2r26;CO2r27;CO2r28;CO2r29;CO2r210];
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_2,'vkm_shift','J36:J45');
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2HV_2,'vkm_shift2','J36:J45');




