% Passenger car baseline energy use
clc

filename = 'traffic_emissions_model_baseline.xlsx';
vkm_0alt= xlsread(filename,'vehicle_shares','I6:I12');
vkm_0alt_NT = xlsread(filename,'vehicle_shares','V6:V12');
vkm_tunnel_toll= xlsread(filename,'vehicle_shares','I19:I28');
vkm_tunnel_notoll= xlsread(filename,'vehicle_shares','I34:I43');

% Passenger car (PC) coefficient matrix. Sorted by euro class and
% engine volume

PC_C= xlsread('PC_stock_SSB','euroclass','B43:G52');

% Splitting total vkm into diesel and gasoline vkm 
D= 0.4664;
G= 0.5336;

% Vkm diesel
vkm_0alt_D= vkm_0alt*D;
vkm_0alt_NT_D= vkm_0alt_NT*D;
vkm_tunnel_toll_D= vkm_tunnel_toll*D;
vkm_tunnel_notoll_D= vkm_tunnel_notoll*D;

% Vkm petrol
vkm_0alt_G= vkm_0alt*G;
vkm_0alt_NT_G= vkm_0alt_NT*G;
vkm_tunnel_toll_G= vkm_tunnel_toll*G;
vkm_tunnel_notoll_G= vkm_tunnel_notoll*G;

%% 0 alternative vkm matrix

% Diesel

for ii = length(PC_C(1,:))
    r01d=PC_C*vkm_0alt_D(1);
    r02d=PC_C*vkm_0alt_D(2);
    r03d=PC_C*vkm_0alt_D(3);
    r04d=PC_C*vkm_0alt_D(4);
    r05d=PC_C*vkm_0alt_D(5);
    r06d=PC_C*vkm_0alt_D(6);
    r07d=PC_C*vkm_0alt_D(7);
    
end

% Gasoline
for ii = length(PC_C(1,:))
    r01g=PC_C*vkm_0alt_G(1);
    r02g=PC_C*vkm_0alt_G(2);
    r03g=PC_C*vkm_0alt_G(3);
    r04g=PC_C*vkm_0alt_G(4);
    r05g=PC_C*vkm_0alt_G(5);
    r06g=PC_C*vkm_0alt_G(6);
    r07g=PC_C*vkm_0alt_G(7);
    
end

%% 0 alternative vkm matrix without toll

% Diesel

for ii = length(PC_C(1,:))
    r01d_nt=PC_C*vkm_0alt_NT_D(1);
    r02d_nt=PC_C*vkm_0alt_NT_D(2);
    r03d_nt=PC_C*vkm_0alt_NT_D(3);
    r04d_nt=PC_C*vkm_0alt_NT_D(4);
    r05d_nt=PC_C*vkm_0alt_NT_D(5);
    r06d_nt=PC_C*vkm_0alt_NT_D(6);
    r07d_nt=PC_C*vkm_0alt_NT_D(7);
    
end

% Gasoline
for ii = length(PC_C(1,:))
    r01g_nt=PC_C*vkm_0alt_NT_G(1);
    r02g_nt=PC_C*vkm_0alt_NT_G(2);
    r03g_nt=PC_C*vkm_0alt_NT_G(3);
    r04g_nt=PC_C*vkm_0alt_NT_G(4);
    r05g_nt=PC_C*vkm_0alt_NT_G(5);
    r06g_nt=PC_C*vkm_0alt_NT_G(6);
    r07g_nt=PC_C*vkm_0alt_NT_G(7);
    
end


%% Bysen tunnel alternatives (w/ toll) vkm matrix

%Diesel 
for ii = length(PC_C(1,:))
    r11d=PC_C*vkm_tunnel_toll_D(1);
    r12d=PC_C*vkm_tunnel_toll_D(2);
    r13d=PC_C*vkm_tunnel_toll_D(3);
    r14d=PC_C*vkm_tunnel_toll_D(4);
    r15d=PC_C*vkm_tunnel_toll_D(5);
    r16d=PC_C*vkm_tunnel_toll_D(6);
    r17d=PC_C*vkm_tunnel_toll_D(7);
    r18d=PC_C*vkm_tunnel_toll_D(8);
    r19d=PC_C*vkm_tunnel_toll_D(9);
    r110d=PC_C*vkm_tunnel_toll_D(10);
end

% Gasoline
for ii = length(PC_C(1,:))
    r11g=PC_C*vkm_tunnel_toll_G(1);
    r12g=PC_C*vkm_tunnel_toll_G(2);
    r13g=PC_C*vkm_tunnel_toll_G(3);
    r14g=PC_C*vkm_tunnel_toll_G(4);
    r15g=PC_C*vkm_tunnel_toll_G(5);
    r16g=PC_C*vkm_tunnel_toll_G(6);
    r17g=PC_C*vkm_tunnel_toll_G(7);
    r18g=PC_C*vkm_tunnel_toll_G(8);
    r19g=PC_C*vkm_tunnel_toll_G(9);
    r110g=PC_C*vkm_tunnel_toll_G(10);
end

%% Bysen tunnel alternatives (no toll) vkm matrix

% Diesel
for ii = length(PC_C(1,:))
    r21d=PC_C*vkm_tunnel_notoll_D(1);
    r22d=PC_C*vkm_tunnel_notoll_D(2);
    r23d=PC_C*vkm_tunnel_notoll_D(3);
    r24d=PC_C*vkm_tunnel_notoll_D(4);
    r25d=PC_C*vkm_tunnel_notoll_D(5);
    r26d=PC_C*vkm_tunnel_notoll_D(6);
    r27d=PC_C*vkm_tunnel_notoll_D(7);
    r28d=PC_C*vkm_tunnel_notoll_D(8);
    r29d=PC_C*vkm_tunnel_notoll_D(9);
    r210d=PC_C*vkm_tunnel_notoll_D(10);
    
end

% Gasoline
for ii = length(PC_C(1,:))
    r21g=PC_C*vkm_tunnel_notoll_G(1);
    r22g=PC_C*vkm_tunnel_notoll_G(2);
    r23g=PC_C*vkm_tunnel_notoll_G(3);
    r24g=PC_C*vkm_tunnel_notoll_G(4);
    r25g=PC_C*vkm_tunnel_notoll_G(5);
    r26g=PC_C*vkm_tunnel_notoll_G(6);
    r27g=PC_C*vkm_tunnel_notoll_G(7);
    r28g=PC_C*vkm_tunnel_notoll_G(8);
    r29g=PC_C*vkm_tunnel_notoll_G(9);
    r210g=PC_C*vkm_tunnel_notoll_G(10);
    
end

%% Fuel use matrices

% Gasoline
v50_g0 = xlsread('FC_PC','FC_matrices','B3:G12');
v50_g2= xlsread('FC_PC','FC_matrices','Z30:AE39');
v585_g0 = xlsread('FC_PC','FC_matrices','B30:G39');
v55_g2 = xlsread('FC_PC','FC_matrices','Z3:AE12');
v40_g0 = xlsread('FC_PC','FC_matrices','J30:O39');
v45_g1 = xlsread('FC_PC','FC_matrices','J16:O25');
v45_g2 = xlsread('FC_PC','FC_matrices','R16:W25');

% Bysentunellen
v60_g5 = xlsread('FC_PC','FC_matrices','Q30:V39');

% Diesel
v50_g0_d = xlsread('FC_PC','FC_matrices','B16:G25');
v50_g2_d= xlsread('FC_PC','FC_matrices','Z43:AE52');
v585_g0_d = xlsread('FC_PC','FC_matrices','B43:G52');
v55_g2_d = xlsread('FC_PC','FC_matrices','Z16:AE25');
v40_g0_d = xlsread('FC_PC','FC_matrices','J43:O52');
v45_g1_d = xlsread('FC_PC','FC_matrices','J16:O25');
v45_g2_d = xlsread('FC_PC','FC_matrices','R16:W25');

% Bysentunellen
v60_g5_d = xlsread('FC_PC','FC_matrices','Q43:V52');



%% Energy use 0-alt with toll

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year . Biofuel is included in
% the calculation routine

% Diesel
E_0r1D= (r01d.*v585_g0_d)*(1-0.035)*4.79E-05+(0.035*r01d.*v585_g0_d*2.34E-05);
E_0r2D=(r02d.*v45_g1_d)*(1-0.035)*4.79E-05+(0.035*r02d.*v45_g1_d*2.34E-05);
E_0r3D=(r03d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r03d.*v45_g2_d*2.34E-05);
E_0r4D=(r04d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r04d.*v45_g2_d*2.34E-05);
E_0r5D=(r05d.*v50_g2_d)*(1-0.035)*4.79E-05+(0.035*r05d.*v50_g2_d*2.34E-05);
E_0r6D=(r06d.*v50_g0_d)*(1-0.035)*4.79E-05+(0.035*r06d.*v50_g0_d*2.34E-05);
E_0r7D=(r07d.*v40_g0_d)*(1-0.035)*4.79E-05+(0.035*r07d.*v40_g0_d*2.34E-05);

% Gasoline
E_0r1G= (r01g.*v585_g0)*(1-0.035)*4.28E-05+(0.035*r01g.*v585_g0*2.34E-05);
E_0r2G=(r02g.*v45_g1)*(1-0.035)*4.28E-05+(0.035*r02g.*v45_g1*2.34E-05);
E_0r3G=(r03g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r03g.*v45_g2*2.34E-05);
E_0r4G=(r04g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r04g.*v45_g2*2.34E-05);
E_0r5G=(r05g.*v50_g2)*(1-0.035)*4.28E-05+(0.035*r05g.*v50_g2*2.34E-05);
E_0r6G=(r06g.*v50_g0)*(1-0.035)*4.28E-05+(0.035*r06g.*v50_g0*2.34E-05);
E_0r7G=(r07g.*v40_g0)*(1-0.035)*4.28E-05+(0.035*r07g.*v40_g0*2.34E-05);

Er01D=sum(sum(E_0r1D));
Er02D=sum(sum(E_0r2D));
Er03D=sum(sum(E_0r3D));
Er04D=sum(sum(E_0r4D));
Er05D=sum(sum(E_0r5D));
Er06D=sum(sum(E_0r6D));
Er07D=sum(sum(E_0r7D));

Er01G=sum(sum(E_0r1G));
Er02G=sum(sum(E_0r2G));
Er03G=sum(sum(E_0r3G));
Er04G=sum(sum(E_0r4G));
Er05G=sum(sum(E_0r5G));
Er06G=sum(sum(E_0r6G));
Er07G=sum(sum(E_0r7G));

EPCD_0=[Er01D;Er02D;Er03D;Er04D;Er05D;Er06D;Er07D];
EPCG_0=[Er01G;Er02G;Er03G;Er04G;Er05G;Er06G;Er07G];

% xlswrite('traffic_emissions_model_baseline.xlsx',EPCD_0,'CO2_tunnel_alts2','M7:M13');
% xlswrite('traffic_emissions_model_baseline.xlsx',EPCG_0,'CO2_tunnel_alts2','L7:L13');

%% Energy use 0-alt without toll

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year . Biofuel is included in
% the calculation routine

% Diesel
E_0r1D_nt= (r01d_nt.*v585_g0_d)*(1-0.035)*4.79E-05+(0.035*r01d_nt.*v585_g0_d*2.34E-05);
E_0r2D_nt=(r02d_nt.*v45_g1_d)*(1-0.035)*4.79E-05+(0.035*r02d_nt.*v45_g1_d*2.34E-05);
E_0r3D_nt=(r03d_nt.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r03d_nt.*v45_g2_d*2.34E-05);
E_0r4D_nt=(r04d_nt.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r04d_nt.*v45_g2_d*2.34E-05);
E_0r5D_nt=(r05d_nt.*v50_g2_d)*(1-0.035)*4.79E-05+(0.035*r05d_nt.*v50_g2_d*2.34E-05);
E_0r6D_nt=(r06d_nt.*v50_g0_d)*(1-0.035)*4.79E-05+(0.035*r06d_nt.*v50_g0_d*2.34E-05);
E_0r7D_nt=(r07d_nt.*v40_g0_d)*(1-0.035)*4.79E-05+(0.035*r07d_nt.*v40_g0_d*2.34E-05);

% Gasoline
E_0r1G_nt= (r01g_nt.*v585_g0)*(1-0.035)*4.28E-05+(0.035*r01g_nt.*v585_g0*2.34E-05);
E_0r2G_nt=(r02g_nt.*v45_g1)*(1-0.035)*4.28E-05+(0.035*r02g_nt.*v45_g1*2.34E-05);
E_0r3G_nt=(r03g_nt.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r03g_nt.*v45_g2*2.34E-05);
E_0r4G_nt=(r04g_nt.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r04g_nt.*v45_g2*2.34E-05);
E_0r5G_nt=(r05g_nt.*v50_g2)*(1-0.035)*4.28E-05+(0.035*r05g_nt.*v50_g2*2.34E-05);
E_0r6G_nt=(r06g_nt.*v50_g0)*(1-0.035)*4.28E-05+(0.035*r06g_nt.*v50_g0*2.34E-05);
E_0r7G_nt=(r07g_nt.*v40_g0)*(1-0.035)*4.28E-05+(0.035*r07g_nt.*v40_g0*2.34E-05);

Er01D_nt=sum(sum(E_0r1D_nt));
Er02D_nt=sum(sum(E_0r2D_nt));
Er03D_nt=sum(sum(E_0r3D_nt));
Er04D_nt=sum(sum(E_0r4D_nt));
Er05D_nt=sum(sum(E_0r5D_nt));
Er06D_nt=sum(sum(E_0r6D_nt));
Er07D_nt=sum(sum(E_0r7D_nt));

Er01G_nt=sum(sum(E_0r1G_nt));
Er02G_nt=sum(sum(E_0r2G_nt));
Er03G_nt=sum(sum(E_0r3G_nt));
Er04G_nt=sum(sum(E_0r4G_nt));
Er05G_nt=sum(sum(E_0r5G_nt));
Er06G_nt=sum(sum(E_0r6G_nt));
Er07G_nt=sum(sum(E_0r7G_nt));

EPCD_0_nt=[Er01D_nt;Er02D_nt;Er03D_nt;Er04D_nt;Er05D_nt;Er06D_nt;Er07D_nt];
EPCG_0_nt=[Er01G_nt;Er02G_nt;Er03G_nt;Er04G_nt;Er05G_nt;Er06G_nt;Er07G_nt];

% xlswrite('traffic_emissions_model_baseline.xlsx',EPCD_0_nt,'CO2_tunnel_alts2','AC7:AC13');
% xlswrite('traffic_emissions_model_baseline.xlsx',EPCG_0_nt,'CO2_tunnel_alts2','AB7:AB13');


%% Energy use Bysen tunnel with tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year for the Bysen tunnel alternatives with tolling stations. Biofuel is included in
% the calculation routine

% Diesel
E_1r11D= (r11d.*v585_g0_d)*(1-0.035)*4.79E-05+(0.035*r11d.*v585_g0_d*2.34E-05);
E_1r12D=(r12d.*v45_g1_d)*(1-0.035)*4.79E-05+(0.035*r12d.*v45_g1_d*2.34E-05);
E_1r13D=(r13d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r13d.*v45_g2_d*2.34E-05);
E_1r14D=(r14d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r14d.*v45_g2_d*2.34E-05);
E_1r15D=(r15d.*v50_g2_d)*(1-0.035)*4.79E-05+(0.035*r15d.*v50_g2_d*2.34E-05);
E_1r16D=(r16d.*v50_g0_d)*(1-0.035)*4.79E-05+(0.035*r16d.*v50_g0_d*2.34E-05);
E_1r17D=(r17d.*v40_g0_d)*(1-0.035)*4.79E-05+(0.035*r17d.*v40_g0_d*2.34E-05);
E_1r18D=(r18d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r18d.*v60_g5_d*2.34E-05);
E_1r19D=(r19d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r19d.*v60_g5_d*2.34E-05);
E_1r110D=(r110d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r110d.*v60_g5_d*2.34E-05);

% Gasoline
E_1r11G= (r11g.*v585_g0)*(1-0.035)*4.28E-05+(0.035*r11g.*v585_g0*2.34E-05);
E_1r12G=(r12g.*v45_g1)*(1-0.035)*4.28E-05+(0.035*r12g.*v45_g1*2.34E-05);
E_1r13G=(r13g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r13g.*v45_g2*2.34E-05);
E_1r14G=(r14g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r14g.*v45_g2*2.34E-05);
E_1r15G=(r15g.*v50_g2)*(1-0.035)*4.28E-05+(0.035*r15g.*v50_g2*2.34E-05);
E_1r16G=(r16g.*v50_g0)*(1-0.035)*4.28E-05+(0.035*r16g.*v50_g0*2.34E-05);
E_1r17G=(r17g.*v40_g0)*(1-0.035)*4.28E-05+(0.035*r17g.*v40_g0*2.34E-05);
E_1r18G=(r18g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r18g.*v60_g5*2.34E-05);
E_1r19G=(r19g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r19g.*v60_g5*2.34E-05);
E_1r110G=(r110g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r110g.*v60_g5*2.34E-05);

Er11D=sum(sum(E_1r11D));
Er12D=sum(sum(E_1r12D));
Er13D=sum(sum(E_1r13D));
Er14D=sum(sum(E_1r14D));
Er15D=sum(sum(E_1r15D));
Er16D=sum(sum(E_1r16D));
Er17D=sum(sum(E_1r17D));
Er18D=sum(sum(E_1r18D));
Er19D=sum(sum(E_1r19D));
Er110D=sum(sum(E_1r110D));

Er11G=sum(sum(E_1r11G));
Er12G=sum(sum(E_1r12G));
Er13G=sum(sum(E_1r13G));
Er14G=sum(sum(E_1r14G));
Er15G=sum(sum(E_1r15G));
Er16G=sum(sum(E_1r16G));
Er17G=sum(sum(E_1r17G));
Er18G=sum(sum(E_1r18G));
Er19G=sum(sum(E_1r19G));
Er110G=sum(sum(E_1r110G));

EPCD_1=[Er11D;Er12D;Er13D;Er14D;Er15D;Er16D;Er17D;Er18D;Er19D;Er110D];
EPCG_1=[Er11G;Er12G;Er13G;Er14G;Er15G;Er16G;Er17G;Er18G;Er19G;Er110G];

% xlswrite('traffic_emissions_model_baseline.xlsx',EPCD_1,'CO2_tunnel_alts2','M20:M29');
% xlswrite('traffic_emissions_model_baseline.xlsx',EPCG_1,'CO2_tunnel_alts2','L20:L29');

%% Energy use Bysen tunnel without tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of TJ/year for the Bysen tunnel alternatives without tolling stations. Biofuel is included in
% the calculation routine

% Diesel
E_2r21D= (r21d.*v585_g0_d)*(1-0.035)*4.79E-05+(0.035*r21d.*v585_g0_d*2.34E-05);
E_2r22D=(r22d.*v45_g1_d)*(1-0.035)*4.79E-05+(0.035*r22d.*v45_g1_d*2.34E-05);
E_2r23D=(r23d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r23d.*v45_g2_d*2.34E-05);
E_2r24D=(r24d.*v45_g2_d)*(1-0.035)*4.79E-05+(0.035*r24d.*v45_g2_d*2.34E-05);
E_2r25D=(r25d.*v50_g2_d)*(1-0.035)*4.79E-05+(0.035*r25d.*v50_g2_d*2.34E-05);
E_2r26D=(r26d.*v50_g0_d)*(1-0.035)*4.79E-05+(0.035*r26d.*v50_g0_d*2.34E-05);
E_2r27D=(r27d.*v40_g0_d)*(1-0.035)*4.79E-05+(0.035*r27d.*v40_g0_d*2.34E-05);
E_2r28D=(r28d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r28d.*v60_g5_d*2.34E-05);
E_2r29D=(r29d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r29d.*v60_g5_d*2.34E-05);
E_2r210D=(r210d.*v60_g5_d)*(1-0.035)*4.79E-05+(0.035*r210d.*v60_g5_d*2.34E-05);

% Gasoline
E_2r21G= (r21g.*v585_g0)*(1-0.035)*4.28E-05+(0.035*r21g.*v585_g0*2.34E-05);
E_2r22G=(r22g.*v45_g1)*(1-0.035)*4.28E-05+(0.035*r22g.*v45_g1*2.34E-05);
E_2r23G=(r23g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r23g.*v45_g2*2.34E-05);
E_2r24G=(r24g.*v45_g2)*(1-0.035)*4.28E-05+(0.035*r24g.*v45_g2*2.34E-05);
E_2r25G=(r25g.*v50_g2)*(1-0.035)*4.28E-05+(0.035*r25g.*v50_g2*2.34E-05);
E_2r26G=(r26g.*v50_g0)*(1-0.035)*4.28E-05+(0.035*r26g.*v50_g0*2.34E-05);
E_2r27G=(r27g.*v40_g0)*(1-0.035)*4.28E-05+(0.035*r27g.*v40_g0*2.34E-05);
E_2r28G=(r28g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r28g.*v60_g5*2.34E-05);
E_2r29G=(r29g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r29g.*v60_g5*2.34E-05);
E_2r210G=(r210g.*v60_g5)*(1-0.035)*4.28E-05+(0.035*r210g.*v60_g5*2.34E-05);

Er21D=sum(sum(E_2r21D));
Er22D=sum(sum(E_2r22D));
Er23D=sum(sum(E_2r23D));
Er24D=sum(sum(E_2r24D));
Er25D=sum(sum(E_2r25D));
Er26D=sum(sum(E_2r26D));
Er27D=sum(sum(E_2r27D));
Er28D=sum(sum(E_2r28D));
Er29D=sum(sum(E_2r29D));
Er210D=sum(sum(E_2r210D));

Er21G=sum(sum(E_2r21G));
Er22G=sum(sum(E_2r22G));
Er23G=sum(sum(E_2r23G));
Er24G=sum(sum(E_2r24G));
Er25G=sum(sum(E_2r25G));
Er26G=sum(sum(E_2r26G));
Er27G=sum(sum(E_2r27G));
Er28G=sum(sum(E_2r28G));
Er29G=sum(sum(E_2r29G));
Er210G=sum(sum(E_2r210G));

EPCD_2=[Er21D;Er22D;Er23D;Er24D;Er25D;Er26D;Er27D;Er28D;Er29D;Er210D];
EPCG_2=[Er21G;Er22G;Er23G;Er24G;Er25G;Er26G;Er27G;Er28G;Er29G;Er210G];

% xlswrite('traffic_emissions_model_baseline.xlsx',EPCD_2,'CO2_tunnel_alts2','M36:M45');
% xlswrite('traffic_emissions_model_baseline.xlsx',EPCG_2,'CO2_tunnel_alts2','L36:L45');

%% 

% xlswrite('traffic_emissions_model_scenario.xlsx',EPCD_0,'CO2_tunnel_alts2','M7:M13');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCG_0,'CO2_tunnel_alts2','L7:L13');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCD_1,'CO2_tunnel_alts2','M20:M29');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCG_1,'CO2_tunnel_alts2','L20:L29');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCD_2,'CO2_tunnel_alts2','M36:M45');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCG_2,'CO2_tunnel_alts2','L36:L45');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCD_0_nt,'CO2_tunnel_alts2','AC7:AC13');
% xlswrite('traffic_emissions_model_scenario.xlsx',EPCG_0_nt,'CO2_tunnel_alts2','AB7:AB13');