% PC VKM SHIFT SCENARIO 2

clc

filename = 'traffic_emissions_model_baseline.xlsx';
vkm_0alt= xlsread(filename,'vehicle_shares','I6:I12');
vkm_tunnel_toll= xlsread(filename,'vehicle_shares','I19:I28');
vkm_tunnel_notoll= xlsread(filename,'vehicle_shares','I34:I43');

% Passenger car (PC) coefficient matrix. Sorted by euro class and
% manufacturer

PC_C_scenario= xlsread('PC_stock_SSB','euroclass','K58:P67');

PC_C_scenario(isnan(PC_C_scenario)) = 0;

% Splitting total vkm into diesel and gasoline vkm 
D= 0.4664;
G= 0.5336;

% Vkm diesel
vkm_0alt_D= vkm_0alt*D;
vkm_tunnel_toll_D= vkm_tunnel_toll*D;
vkm_tunnel_notoll_D= vkm_tunnel_notoll*D;

% Vkm petrol
vkm_0alt_G= vkm_0alt*G;
vkm_tunnel_toll_G= vkm_tunnel_toll*G;
vkm_tunnel_notoll_G= vkm_tunnel_notoll*G;

%% 0 alternative vkm matrix

% Diesel

for ii = length(PC_C_scenario(1,:))
    r01d=PC_C_scenario*vkm_0alt_D(1);
    r02d=PC_C_scenario*vkm_0alt_D(2);
    r03d=PC_C_scenario*vkm_0alt_D(3);
    r04d=PC_C_scenario*vkm_0alt_D(4);
    r05d=PC_C_scenario*vkm_0alt_D(5);
    r06d=PC_C_scenario*vkm_0alt_D(6);
    r07d=PC_C_scenario*vkm_0alt_D(7);
    
end

% Gasoline
for ii = length(PC_C_scenario(1,:))
    r01g=PC_C_scenario*vkm_0alt_G(1);
    r02g=PC_C_scenario*vkm_0alt_G(2);
    r03g=PC_C_scenario*vkm_0alt_G(3);
    r04g=PC_C_scenario*vkm_0alt_G(4);
    r05g=PC_C_scenario*vkm_0alt_G(5);
    r06g=PC_C_scenario*vkm_0alt_G(6);
    r07g=PC_C_scenario*vkm_0alt_G(7);
    
end

%% Bysen tunnel alternatives (w/ toll) vkm matrix

%Diesel 
for ii = length(PC_C_scenario(1,:))
    r11d=PC_C_scenario*vkm_tunnel_toll_D(1);
    r12d=PC_C_scenario*vkm_tunnel_toll_D(2);
    r13d=PC_C_scenario*vkm_tunnel_toll_D(3);
    r14d=PC_C_scenario*vkm_tunnel_toll_D(4);
    r15d=PC_C_scenario*vkm_tunnel_toll_D(5);
    r16d=PC_C_scenario*vkm_tunnel_toll_D(6);
    r17d=PC_C_scenario*vkm_tunnel_toll_D(7);
    r18d=PC_C_scenario*vkm_tunnel_toll_D(8);
    r19d=PC_C_scenario*vkm_tunnel_toll_D(9);
    r110d=PC_C_scenario*vkm_tunnel_toll_D(10);
end

% Gasoline
for ii = length(PC_C_scenario(1,:))
    r11g=PC_C_scenario*vkm_tunnel_toll_G(1);
    r12g=PC_C_scenario*vkm_tunnel_toll_G(2);
    r13g=PC_C_scenario*vkm_tunnel_toll_G(3);
    r14g=PC_C_scenario*vkm_tunnel_toll_G(4);
    r15g=PC_C_scenario*vkm_tunnel_toll_G(5);
    r16g=PC_C_scenario*vkm_tunnel_toll_G(6);
    r17g=PC_C_scenario*vkm_tunnel_toll_G(7);
    r18g=PC_C_scenario*vkm_tunnel_toll_G(8);
    r19g=PC_C_scenario*vkm_tunnel_toll_G(9);
    r110g=PC_C_scenario*vkm_tunnel_toll_G(10);
end

%% Bysen tunnel alternatives (no toll) vkm matrix

% Diesel
for ii = length(PC_C_scenario(1,:))
    r21d=PC_C_scenario*vkm_tunnel_notoll_D(1);
    r22d=PC_C_scenario*vkm_tunnel_notoll_D(2);
    r23d=PC_C_scenario*vkm_tunnel_notoll_D(3);
    r24d=PC_C_scenario*vkm_tunnel_notoll_D(4);
    r25d=PC_C_scenario*vkm_tunnel_notoll_D(5);
    r26d=PC_C_scenario*vkm_tunnel_notoll_D(6);
    r27d=PC_C_scenario*vkm_tunnel_notoll_D(7);
    r28d=PC_C_scenario*vkm_tunnel_notoll_D(8);
    r29d=PC_C_scenario*vkm_tunnel_notoll_D(9);
    r210d=PC_C_scenario*vkm_tunnel_notoll_D(10);
    
end

% Gasoline
for ii = length(PC_C_scenario(1,:))
    r21g=PC_C_scenario*vkm_tunnel_notoll_G(1);
    r22g=PC_C_scenario*vkm_tunnel_notoll_G(2);
    r23g=PC_C_scenario*vkm_tunnel_notoll_G(3);
    r24g=PC_C_scenario*vkm_tunnel_notoll_G(4);
    r25g=PC_C_scenario*vkm_tunnel_notoll_G(5);
    r26g=PC_C_scenario*vkm_tunnel_notoll_G(6);
    r27g=PC_C_scenario*vkm_tunnel_notoll_G(7);
    r28g=PC_C_scenario*vkm_tunnel_notoll_G(8);
    r29g=PC_C_scenario*vkm_tunnel_notoll_G(9);
    r210g=PC_C_scenario*vkm_tunnel_notoll_G(10);
    
end

%% Fuel use matrices

% Gasoline
v50_g0 = xlsread('FC_PC','vkm_scenario2','B3:G12');
v50_g2= xlsread('FC_PC','vkm_scenario2','Z30:AE39');
v585_g0 = xlsread('FC_PC','vkm_scenario2','B30:G39');
v55_g2 = xlsread('FC_PC','vkm_scenario2','Z3:AE12');
v40_g0 = xlsread('FC_PC','vkm_scenario2','J30:O39');
v45_g0 = xlsread('FC_PC','vkm_scenario2','AH3:AM12');
v45_g1 = xlsread('FC_PC','vkm_scenario2','J16:O25');
v45_g2 = xlsread('FC_PC','vkm_scenario2','R16:W25');

% Bysentunellen
v60_g5 = xlsread('FC_PC','vkm_scenario2','Q30:V39');

% Diesel
v50_g0_d = xlsread('FC_PC','vkm_scenario2','B16:G25');
v50_g2_d= xlsread('FC_PC','vkm_scenario2','Z43:AE52');
v585_g0_d = xlsread('FC_PC','vkm_scenario2','B43:G52');
v55_g2_d = xlsread('FC_PC','vkm_scenario2','Z16:AE25');
v40_g0_d = xlsread('FC_PC','vkm_scenario2','J43:O52');
v45_g0_d = xlsread('FC_PC','vkm_scenario2','AH16:AM25');
v45_g1_d = xlsread('FC_PC','vkm_scenario2','J16:O25');
v45_g2_d = xlsread('FC_PC','vkm_scenario2','R16:W25');


% Bysentunellen
v60_g5_d = xlsread('FC_PC','vkm_scenario2','Q43:V52');




%% CO2 0-alt 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of CO2-eq/year for the 0-alternative. Biofuel is included in
% the calculation routine

% Diesel
CO2_0r1D= (r01d.*v585_g0_d)*(1-0.035)*3.19+(0.035*r01d.*v585_g0_d*0.69);
CO2_0r2D=(r02d.*v45_g1_d)*(1-0.035)*3.19+(0.035*r02d.*v45_g1_d*0.69);
CO2_0r3D=(r03d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r03d.*v45_g2_d*0.69);
CO2_0r4D=(r04d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r04d.*v45_g2_d*0.69);
CO2_0r5D=(r05d.*v50_g2_d)*(1-0.035)*3.19+(0.035*r05d.*v50_g2_d*0.69);
CO2_0r6D=(r06d.*v50_g0_d)*(1-0.035)*3.19+(0.035*r06d.*v50_g0_d*0.69);
CO2_0r7D=(r07d.*v40_g0_d)*(1-0.035)*3.19+(0.035*r07d.*v40_g0_d*0.69);

% Gasoline
CO2_0r1G= (r01g.*v585_g0)*(1-0.035)*2.75+(0.035*r01g.*v585_g0*0.69);
CO2_0r2G=(r02g.*v45_g1)*(1-0.035)*2.75+(0.035*r02g.*v45_g1*0.69);
CO2_0r3G=(r03g.*v45_g2)*(1-0.035)*2.75+(0.035*r03g.*v45_g2*0.69);
CO2_0r4G=(r04g.*v45_g2)*(1-0.035)*2.75+(0.035*r04g.*v45_g2*0.69);
CO2_0r5G=(r05g.*v50_g2)*(1-0.035)*2.75+(0.035*r05g.*v50_g2*0.69);
CO2_0r6G=(r06g.*v50_g0)*(1-0.035)*2.75+(0.035*r06g.*v50_g0*0.69);
CO2_0r7G=(r07g.*v40_g0)*(1-0.035)*2.75+(0.035*r07g.*v40_g0*0.69);

CO2r01D=sum(sum(CO2_0r1D));
CO2r02D=sum(sum(CO2_0r2D));
CO2r03D=sum(sum(CO2_0r3D));
CO2r04D=sum(sum(CO2_0r4D));
CO2r05D=sum(sum(CO2_0r5D));
CO2r06D=sum(sum(CO2_0r6D));
CO2r07D=sum(sum(CO2_0r7D));

CO2r01G=sum(sum(CO2_0r1G));
CO2r02G=sum(sum(CO2_0r2G));
CO2r03G=sum(sum(CO2_0r3G));
CO2r04G=sum(sum(CO2_0r4G));
CO2r05G=sum(sum(CO2_0r5G));
CO2r06G=sum(sum(CO2_0r6G));
CO2r07G=sum(sum(CO2_0r7G));

CO2PCD_0=[CO2r01D;CO2r02D;CO2r03D;CO2r04D;CO2r05D;CO2r06D;CO2r07D];
CO2PCG_0=[CO2r01G;CO2r02G;CO2r03G;CO2r04G;CO2r05G;CO2r06G;CO2r07G];

% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCD_0,'vkm_shift2','F7:F13');
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCG_0,'vkm_shift2','E7:E13');

%% CO2 Bysen tunnel with tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of CO2-eq/year for the Bysen tunnel alternatives with tolling stations. Biofuel is included in
% the calculation routine

% Diesel
CO2_1r11D= (r11d.*v585_g0_d)*(1-0.035)*3.19+(0.035*r11d.*v585_g0_d*0.69);
CO2_1r12D=(r12d.*v45_g1_d)*(1-0.035)*3.19+(0.035*r12d.*v45_g1_d*0.69);
CO2_1r13D=(r13d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r13d.*v45_g2_d*0.69);
CO2_1r14D=(r14d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r14d.*v45_g2_d*0.69);
CO2_1r15D=(r15d.*v50_g2_d)*(1-0.035)*3.19+(0.035*r15d.*v50_g2_d*0.69);
CO2_1r16D=(r16d.*v50_g0_d)*(1-0.035)*3.19+(0.035*r16d.*v50_g0_d*0.69);
CO2_1r17D=(r17d.*v40_g0_d)*(1-0.035)*3.19+(0.035*r17d.*v40_g0_d*0.69);
CO2_1r18D=(r18d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r18d.*v60_g5_d*0.69);
CO2_1r19D=(r19d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r19d.*v60_g5_d*0.69);
CO2_1r110D=(r110d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r110d.*v60_g5_d*0.69);

% Gasoline
CO2_1r11G= (r11g.*v585_g0)*(1-0.035)*2.75+(0.035*r11g.*v585_g0*0.69);
CO2_1r12G=(r12g.*v45_g1)*(1-0.035)*2.75+(0.035*r12g.*v45_g1*0.69);
CO2_1r13G=(r13g.*v45_g2)*(1-0.035)*2.75+(0.035*r13g.*v45_g2*0.69);
CO2_1r14G=(r14g.*v45_g2)*(1-0.035)*2.75+(0.035*r14g.*v45_g2*0.69);
CO2_1r15G=(r15g.*v50_g2)*(1-0.035)*2.75+(0.035*r15g.*v50_g2*0.69);
CO2_1r16G=(r16g.*v50_g0)*(1-0.035)*2.75+(0.035*r16g.*v50_g0*0.69);
CO2_1r17G=(r17g.*v40_g0)*(1-0.035)*2.75+(0.035*r17g.*v40_g0*0.69);
CO2_1r18G=(r18g.*v60_g5)*(1-0.035)*2.75+(0.035*r18g.*v60_g5*0.69);
CO2_1r19G=(r19g.*v60_g5)*(1-0.035)*2.75+(0.035*r19g.*v60_g5*0.69);
CO2_1r110G=(r110g.*v60_g5)*(1-0.035)*2.75+(0.035*r110g.*v60_g5*0.69);

CO2r11D=sum(sum(CO2_1r11D));
CO2r12D=sum(sum(CO2_1r12D));
CO2r13D=sum(sum(CO2_1r13D));
CO2r14D=sum(sum(CO2_1r14D));
CO2r15D=sum(sum(CO2_1r15D));
CO2r16D=sum(sum(CO2_1r16D));
CO2r17D=sum(sum(CO2_1r17D));
CO2r18D=sum(sum(CO2_1r18D));
CO2r19D=sum(sum(CO2_1r19D));
CO2r110D=sum(sum(CO2_1r110D));

CO2r11G=sum(sum(CO2_1r11G));
CO2r12G=sum(sum(CO2_1r12G));
CO2r13G=sum(sum(CO2_1r13G));
CO2r14G=sum(sum(CO2_1r14G));
CO2r15G=sum(sum(CO2_1r15G));
CO2r16G=sum(sum(CO2_1r16G));
CO2r17G=sum(sum(CO2_1r17G));
CO2r18G=sum(sum(CO2_1r18G));
CO2r19G=sum(sum(CO2_1r19G));
CO2r110G=sum(sum(CO2_1r110G));

CO2PCD_1=[CO2r11D;CO2r12D;CO2r13D;CO2r14D;CO2r15D;CO2r16D;CO2r17D;CO2r18D;CO2r19D;CO2r110D];
CO2PCG_1=[CO2r11G;CO2r12G;CO2r13G;CO2r14G;CO2r15G;CO2r16G;CO2r17G;CO2r18G;CO2r19G;CO2r110G];

% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCD_1,'vkm_shift2','F20:F29');
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCG_1,'vkm_shift2','E20:E29');
%% CO2 Bysen tunnel without tolling stations 

%  r1 Tonstad - Gransen - 58,46 km/h 0%
%  r2 Brattra - Bysvegen - 45 km/h 1%
%  r3 Ila - bckmanns veg - 45 km/h 2%
%  r4 Ila via oslovn. - Stavne - 45 km/ 2%
%  r5 Omkjringsvn. - Sluppen - 50 km/h 2%
%  r6 Tonstadkrysset - Bjrndalen - 50 km/h 0%
%  r7 Midtbyen - Bckmanns veg - 40 km/h 0%
%  r8-10 Bysentunellen - 60 km/h 5%

% Calculation of CO2-eq/year for the Bysen tunnel alternatives without tolling stations. Biofuel is included in
% the calculation routine

% Diesel
CO2_2r21D= (r21d.*v585_g0_d)*(1-0.035)*3.19+(0.035*r21d.*v585_g0_d*0.69);
CO2_2r22D=(r22d.*v45_g1_d)*(1-0.035)*3.19+(0.035*r22d.*v45_g1_d*0.69);
CO2_2r23D=(r23d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r23d.*v45_g2_d*0.69);
CO2_2r24D=(r24d.*v45_g2_d)*(1-0.035)*3.19+(0.035*r24d.*v45_g2_d*0.69);
CO2_2r25D=(r25d.*v50_g2_d)*(1-0.035)*3.19+(0.035*r25d.*v50_g2_d*0.69);
CO2_2r26D=(r26d.*v50_g0_d)*(1-0.035)*3.19+(0.035*r26d.*v50_g0_d*0.69);
CO2_2r27D=(r27d.*v40_g0_d)*(1-0.035)*3.19+(0.035*r27d.*v40_g0_d*0.69);
CO2_2r28D=(r28d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r28d.*v60_g5_d*0.69);
CO2_2r29D=(r29d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r29d.*v60_g5_d*0.69);
CO2_2r210D=(r210d.*v60_g5_d)*(1-0.035)*3.19+(0.035*r210d.*v60_g5_d*0.69);

% Gasoline
CO2_2r21G= (r21g.*v585_g0)*(1-0.035)*2.75+(0.035*r21g.*v585_g0*0.69);
CO2_2r22G=(r22g.*v45_g1)*(1-0.035)*2.75+(0.035*r22g.*v45_g1*0.69);
CO2_2r23G=(r23g.*v45_g2)*(1-0.035)*2.75+(0.035*r23g.*v45_g2*0.69);
CO2_2r24G=(r24g.*v45_g2)*(1-0.035)*2.75+(0.035*r24g.*v45_g2*0.69);
CO2_2r25G=(r25g.*v50_g2)*(1-0.035)*2.75+(0.035*r25g.*v50_g2*0.69);
CO2_2r26G=(r26g.*v50_g0)*(1-0.035)*2.75+(0.035*r26g.*v50_g0*0.69);
CO2_2r27G=(r27g.*v40_g0)*(1-0.035)*2.75+(0.035*r27g.*v40_g0*0.69);
CO2_2r28G=(r28g.*v60_g5)*(1-0.035)*2.75+(0.035*r28g.*v60_g5*0.69);
CO2_2r29G=(r29g.*v60_g5)*(1-0.035)*2.75+(0.035*r29g.*v60_g5*0.69);
CO2_2r210G=(r210g.*v60_g5)*(1-0.035)*2.75+(0.035*r210g.*v60_g5*0.69);

CO2r21D=sum(sum(CO2_2r21D));
CO2r22D=sum(sum(CO2_2r22D));
CO2r23D=sum(sum(CO2_2r23D));
CO2r24D=sum(sum(CO2_2r24D));
CO2r25D=sum(sum(CO2_2r25D));
CO2r26D=sum(sum(CO2_2r26D));
CO2r27D=sum(sum(CO2_2r27D));
CO2r28D=sum(sum(CO2_2r28D));
CO2r29D=sum(sum(CO2_2r29D));
CO2r210D=sum(sum(CO2_2r210D));

CO2r21G=sum(sum(CO2_2r21G));
CO2r22G=sum(sum(CO2_2r22G));
CO2r23G=sum(sum(CO2_2r23G));
CO2r24G=sum(sum(CO2_2r24G));
CO2r25G=sum(sum(CO2_2r25G));
CO2r26G=sum(sum(CO2_2r26G));
CO2r27G=sum(sum(CO2_2r27G));
CO2r28G=sum(sum(CO2_2r28G));
CO2r29G=sum(sum(CO2_2r29G));
CO2r210G=sum(sum(CO2_2r210G));

CO2PCD_2=[CO2r21D;CO2r22D;CO2r23D;CO2r24D;CO2r25D;CO2r26D;CO2r27D;CO2r28D;CO2r29D;CO2r210D];
CO2PCG_2=[CO2r21G;CO2r22G;CO2r23G;CO2r24G;CO2r25G;CO2r26G;CO2r27G;CO2r28G;CO2r29G;CO2r210G];

% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCD_2,'vkm_shift2','F36:F45');
% xlswrite('traffic_emissions_model_scenario.xlsx',CO2PCG_2,'vkm_shift2','E36:E45');

 

